Bug 1719037 - samples operator upgrade while unmanaged/removed needs to still update clusteroperator version, set available = true
Summary: samples operator upgrade while unmanaged/removed needs to still update cluste...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard: 4.1.4
Depends On: 1718454
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-10 21:00 UTC by Gabe Montero
Modified: 2019-07-04 09:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1718454
Environment:
Last Closed: 2019-07-04 09:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:33 UTC

Description Gabe Montero 2019-06-10 21:00:37 UTC
+++ This bug was initially created as a clone of Bug #1718454 +++

Per recent upgrade experience in openshift/starter while samples operator was unmanaged

NOTE: workaround in the interim is the add the openshift-samples ClusterOperator obj into the clusterversion overrides list

--- Additional comment from Gabe Montero on 2019-06-07 21:56:33 UTC ---

PR https://github.com/openshift/cluster-samples-operator/pull/151 is up

--- Additional comment from Gabe Montero on 2019-06-10 21:00:10 UTC ---

PR has merged into master for 4.2

Comment 1 Gabe Montero 2019-06-10 21:15:37 UTC
PR https://github.com/openshift/cluster-samples-operator/pull/152 is up

Comment 2 Gabe Montero 2019-06-11 14:26:37 UTC
Added 4.1.2 to the whiteboard to be considered for inclusion.

Comment 5 Gabe Montero 2019-06-25 14:05:35 UTC
PR has merged ... moving to modified

Comment 7 XiuJuan Wang 2019-06-26 07:14:55 UTC
While set samples operator to unmanaged/removed, openshift-samples clusteropertor update clusteroperator version and set available = true.
The imagestreams stand by with old version.
Check the scenario when upgrade from 4.1.0-0.nightly-2019-06-25-235846 to 4.1.0-0.nightly-2019-06-26-044128.

Comment 9 errata-xmlrpc 2019-07-04 09:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.